Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.associations.tertius
Class IndividualInstances

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<Instance>
              weka.core.Instances
                  weka.associations.tertius.IndividualInstances

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<Instance>, java.util.Collection<Instance>, java.util.List<Instance>, RevisionHandler

    public class IndividualInstances

extends Instances

Version:
  $Revision: 1.6 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.core.Instances
`ARFF_DATA, ARFF_RELATION, FILE_EXTENSION, SERIALIZED_OBJ_FILE_EXTENSION`

Constructor Summary
`IndividualInstances(Instances individuals, Instances parts)`

Method Summary
`java.lang.String` | `getRevision()` Returns the revision string.

Methods inherited from class weka.core.Instances
`add, add, attribute, attribute, attributeStats, attributeToDoubleArray, checkForAttributeType, checkForStringAttributes, checkInstance, classAttribute, classIndex, compactify, delete, delete, deleteAttributeAt, deleteAttributeType, deleteStringAttributes, deleteWithMissing, deleteWithMissing, deleteWithMissingClass, enumerateAttributes, enumerateInstances, equalHeaders, equalHeadersMsg, firstInstance, get, getRandomNumberGenerator, insertAttributeAt, instance, kthSmallestValue, kthSmallestValue, lastInstance, main, meanOrMode, meanOrMode, mergeInstances, numAttributes, numClasses, numDistinctValues, numDistinctValues, numInstances, randomize, readInstance, relationName, remove, renameAttribute, renameAttribute, renameAttributeValue, renameAttributeValue, resample, resampleWithWeights, resampleWithWeights, set, setClass, setClassIndex, setRelationName, size, sort, sort, stratify, stringFreeStructure, sumOfWeights, swap, test, testCV, toString, toSummaryString, trainCV, trainCV, variance, variance`

Methods inherited from class java.util.AbstractList
`addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### IndividualInstances

    public IndividualInstances(Instances individuals,
                               Instances parts)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Overrides:
    `getRevision` in class `Instances`
  Returns:
    the revision

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD